Package Details: fricas 1.3.6-1

Git Clone URL: https://aur.archlinux.org/fricas.git (read-only, click to copy)
Package Base: fricas
Description: An advanced computer algebra system
Upstream URL: http://fricas.sourceforge.net
Licenses: custom
Submitter: serkho
Maintainer: serkho
Last Packager: serkho
Votes: 13
Popularity: 0.68
First Submitted: 2013-06-30 07:19
Last Updated: 2020-03-14 10:36

Latest Comments

« First ‹ Previous 1 2

serkho commented on 2014-01-20 05:43

Thanks for the report. namcap errors have been fixed and I will look what can be done for its warnings.
BTW there was no need to flag the package as out of date: I am subscribed on all comments and the version was 1.2.2 already :) Thanks anyway.

serkho commented on 2014-01-20 05:42

Thanks for the report. namcap errors have been fixed and I will look what can be done for its warnings.
BTW there was no need to flag the package as out of date: I am subscribed on all comments :) Thanks anyway.

oriba commented on 2014-01-18 00:23

namcap gives the following output:


fricas E: Missing custom license directory (usr/share/licenses/fricas)
fricas W: ELF file ('usr/lib/fricas/target/x86_64-unknown-linux/bin/AXIOMsys') has executable stack.
fricas W: Referenced library 'lisp' is an uninstalled dependency
fricas W: Referenced library 'interpsys' is an uninstalled dependency
fricas E: Dependency libxpm detected and not included (libraries ['usr/lib/libXpm.so.4'] needed in files ['usr/lib/fricas/target/x86_64-unknown-linux/bin/htadd', 'usr/lib/fricas/target/x86_64-unknown-linux/lib/ex2ht', 'usr/lib/fricas/target/x86_64-unknown-linux/bin/hypertex', 'usr/lib/fricas/target/x86_64-unknown-linux/lib/spadbuf', 'usr/lib/fricas/target/x86_64-unknown-linux/bin/viewAlone', 'usr/lib/fricas/target/x86_64-unknown-linux/lib/hthits', 'usr/lib/fricas/target/x86_64-unknown-linux/lib/view2D', 'usr/lib/fricas/target/x86_64-unknown-linux/lib/viewman', 'usr/lib/fricas/target/x86_64-unknown-linux/lib/view3D'])
fricas E: Dependency gawk detected and not included (programs ['gawk'] needed in scripts ['usr/lib/fricas/target/x86_64-unknown-linux/lib/presea'])

oriba commented on 2014-01-18 00:06

Fricas needs sbcl (at least) for compilation; this should be mentioned in the PKGBUILD-file.

oriba commented on 2014-01-18 00:05

September 28, 2013 -- FriCAS 1.2.2 released